/****************************************************************************
* Copyright Avaya Inc., All Rights Reserved.
* THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF Avaya Inc.
* The copyright notice above does not evidence any actual or intended publication of such source code.
* Some third-party source code components may have been modified from their original versions by Avaya Inc.
* The modifications are Copyright Avaya Inc., All Rights Reserved.
* Avaya Confidential & Restricted. May not be distributed further without written permission of
* the Avaya owner.
****************************************************************************/
package com.avaya.zephyr.services.sample_services.Authorization.TaskRepository.util;

import com.avaya.zephyr.services.sample_services.Authorization.TaskRepository.json.Task;

public final class RequestData
{
    private final String bearerToken;
    private final String userId;
    private final String taskId;
    private final Task task;

    public RequestData(final String bearerToken, final String userId, final String taskId, final Task task)
    {
        this.bearerToken = bearerToken;
        this.userId = userId;
        this.taskId = taskId;
        this.task = task;
    }

    public String getBearerToken()
    {
        return bearerToken;
    }

    public String getUserId()
    {
        return userId;
    }

    public String getTaskId()
    {
        return taskId;
    }

    public Task getTask()
    {
        return task;
    }
}
